(function($){
	//Set Chat Online User
    if(typeof online != "undefined"){
        jQuery('#cur-online-users').html(online.ln);
        jQuery('#cur-online-users').show();
    }
    jQuery(window).scroll(function(){
         if(jQuery(window).scrollTop() > 10) {
             jQuery('#htmlTag #header').addClass('small');
         } else {
             jQuery('#htmlTag #header').removeClass('small');
         }
    });
    jQuery('#mobile-header #toggle-nav').click(function(){
        jQuery('.mobile-menu-wrap').stop().animate({height: 'toggle'});
        return false;
    })
    $('#htmlTag #header .search-container #btnSearch').click(function(){
        $('#htmlTag .search-container .search-input-box').toggleClass('box-opened');
        $(this).toggleClass('opened');
        if (!$(this).hasClass('opened')) {
            $('#searchPopupContent').hide();
        }
    })

    //Show Sub Menu
    // jQuery('#htmlTag #header .menu .has-submenu').hover(function(){
    //     jQuery(this).find('.submenu-contr').fadeIn('fast');
    // }, function(){
    //     jQuery(this).find('.submenu-contr').fadeOut('fast');
    // });

    jQuery('#htmlTag #header .menu .has-submenu').click(function(){
        if ( !jQuery(this).hasClass('expand') ) {
            jQuery(this).parent().find('.expand').find('.submenu-contr').fadeOut('fast');
            jQuery(this).parent().find('.expand').removeClass('expand');
            jQuery(this).addClass('expand');

            jQuery(this).find('.submenu-contr').fadeIn('fast');
        } else {
            jQuery(this).find('.submenu-contr').fadeOut('fast');
            jQuery(this).removeClass('expand');
        }
    });
    
    jQuery('#htmlTag #header .menu .submenu-contr').mouseover(function(e){
        e.stopPropagation();
    });
    jQuery('#htmlTag #header .menu .has-submenu').each(function(){
        var tLeft = jQuery(this).offset().left;     
        jQuery(this).find('.fa-caret-up').css({left: tLeft + 42 + jQuery(this).children('a').width() / 2});
    });

    jQuery('#htmlTag #main-menu-mobile .has-submenu > a').click(function(){
        jQuery(this).parent().find('.submenu-contr').stop().animate({height: 'toggle'});
        jQuery(this).parent().toggleClass('opened');
        return false;
    })
    
    jQuery('#newsletter-validate-detail').submit(function(){
        var form = jQuery(this);
        var filter = /^([a-zA-Z0-9_+\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9])+$/
        if(form.find('#newsletter').val() != "" && filter.test(form.find('#newsletter').val())) {                
            form.find(".processing-overlay").show();
            jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').hide();
            jQuery.ajax({
                url: "/newsletter/subscriber/new/",
                type: "post",
                data: form.serialize(),
                dataType: "json",
                success: function(rsp) {
                    if(jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').length == 0) {
                        jQuery('#newsletter-validate-detail .input-box').append('<div id="advice-required-entry-newsletter"></div>');
                    }
                    if (rsp.status == "success") {
                        form.find('#newsletter').val('');
                    }
                    jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').attr('class', '').addClass("message").addClass(rsp.status);
                    jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').html(rsp.message);
                    jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').fadeIn();
                },
                error: function(err) {
                    if(jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').length == 0) {
                        jQuery('#newsletter-validate-detail .input-box').append('<div id="advice-required-entry-newsletter"></div>');
                    }
                    jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').attr('class', '').addClass("message error");
                    jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').html(err.responseText);
                    jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').fadeIn();
                },
                complete: function(){
                    form.find(".processing-overlay").hide();
                }
            })
        } else {
            if(jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').length == 0) {
                jQuery('#newsletter-validate-detail .input-box').append('<div id="advice-required-entry-newsletter"></div>');
            }
            jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').attr('class', '').addClass("message error");
            jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').html("Email address is empty or not valid.");
            jQuery('#newsletter-validate-detail #advice-required-entry-newsletter').css({"display" : "block", "opacity" : 1});
        }
        
        return false;
    });
    
    
    //Dropdown menu
    $(document).on('click', '.b_menu__dropdownbutton', function(){
        $(this).parent().find('> .b-menu__dropdown-submenu').slideToggle();        
    });
    
})(jQuery)